

/* music player */
        
        #musicplayer{ 
          font-family: 'basiic';
          font-weight:bold;
          height:30px;
          width:100%;
          left:0;
          top:35;
          z-index: 100;
          position:fixed;
          margin-bottom:20px;  
          display:flex;
          background: linear-gradient(180deg,#ffa0c7 0%, white 45%, #E263a2 47%, #ffa0c7 100%);
         border:ridge 2px #fd69a5;/* border around player */
          outline: solid 2px black;  
         box-shadow: inset 13px 0px 6px -10px #f170a5, inset -13px 0px 6px -10px #f170a5, inset 0px 13px 6px -10px #ffffff, inset 0px -13px 6px -10px #f170a5;";
            }
         
            .songtitle{ 
            display:block;
            padding:2px; /* padding around song title */
            font-family: 'pixel';
            margin-top:4px;
            margin-right: 5px; 
            font-size:15px;
            color:black;
            letter-spacing: 1px; 
        
            background: white;/* background of song title */
            border: gray inset 1px;
               border-radius:6px;
               box-shadow: inset 13px 0px 6px -10px rgb(66 66 66 / 20%), inset -13px 0px 6px -10px rgb(66 66 66 / 56%), inset 0px 13px 6px -10px #ffffff, inset 0px -13px 6px -10px rgb(66 66 66 / 38%);
            }
         
            .controls{
              font-size:12px; /* size of controls */
              text-align:center;
              width:100px;
              height:20px;
              text-decortation:none;
              filter: drop-shadow(2px 0 0 white) drop-shadow(0 2px 0 white) drop-shadow(-2px 0 0 white) drop-shadow(0 -2px 0 white)  drop-shadow(-0.5px 0.5px 0 black) drop-shadow(0 0.5px 0 black) drop-shadow(0 0.5px 0 black) drop-shadow(0 0.5px 0.5px black) drop-shadow(0 0.5px black) drop-shadow(0.5px 0.5px 0 black) drop-shadow(0.5px 0.5px 0 black);
            }
         
            .controls td{
               padding-top:5px; /* padding around controls */
            }
         
            .seeking{
              width:75%;
              background: transparent;/* background color of seeking bar */
              display:flex;
              justify-content: space-evenly;
              padding:7px; /* padding around seeking bar */
               
            }
         
            .current-time{  
              padding-right:5px;
              margin-right: 3px; 
             filter: drop-shadow(2px 0 0 white) drop-shadow(0 2px 0 white) drop-shadow(-2px 0 0 white) drop-shadow(0 -2px 0 white)  drop-shadow(-0.5px 0.5px 0 black) drop-shadow(0 0.5px 0 black) drop-shadow(0 0.5px 0 black) drop-shadow(0 0.5px 0.5px black) drop-shadow(0 0.5px black) drop-shadow(0.5px 0.5px 0 black) drop-shadow(0.5px 0.5px 0 black);
               
            }
         
            .total-duration{
              padding-left:5px;
              filter: drop-shadow(2px 0 0 white) drop-shadow(0 2px 0 white) drop-shadow(-2px 0 0 white) drop-shadow(0 -2px 0 white)  drop-shadow(-0.5px 0.5px 0 black) drop-shadow(0 0.5px 0 black) drop-shadow(0 0.5px 0 black) drop-shadow(0 0.5px 0.5px black) drop-shadow(0 0.5px black) drop-shadow(0.5px 0.5px 0 black) drop-shadow(0.5px 0.5px 0 black);
            }
         
           .ctrlimg {
   height:16px;
   width:16px;
   }
    .ctrlimg:hover{
        cursor:help;
    }
            
            input[type=range] {
                -webkit-appearance: none;
                width: 100%;
              background: transparent;
            }
            
            input[type=range]:focus {
                outline: none;
            }
            
            input[type=range]::-webkit-slider-runnable-track {
                width: 100%;
                height: 6px; /* thickness of seeking track */
                cursor: help;
                border-radius: 6px;
                background: black; /* color of seeking track */
                border: 1px white solid;
            }
        
            input[type=range]::-webkit-slider-thumb {
              
                height: 30px; /* height of seeking square */
                width: 20px; /* width of seeking square */
                background-image:  url('https://file.garden/Zztv0a9yEhr5pmEq/tumblr_40786d3985453eb5412348aad980ac51_3a9a1088_1280%20(1).gif'); /* image of  seeking square */
                background-size: 25px;
                -webkit-appearance: none;
                margin-top: -10px;
                
            }
            
        input[type=range].volume_slider::-webkit-slider-runnable-track { 
            background: white; /* color of volume seeking track */
             filter:drop-shadow(-0.5px 0.5px 0 black) drop-shadow(0 0.5px 0 black) drop-shadow(0 0.5px 0 black) drop-shadow(0 0.5px 0.5px black) drop-shadow(0 0.5px black) drop-shadow(0.5px 0.5px 0 black) drop-shadow(0.5px 0.5px 0 black);  /* outline of volume seeking track */ 
            }
            
         input[type=range].volume_slider::-webkit-slider-thumb {
            background-image: url(https://file.garden/Zztv0a9yEhr5pmEq/798d7d72_original.png);/* image of volume seeking square */
            background-size: 20px;
            height: 20px; /* height of volume seeking square */
            width: 20px; 
            margin-top: -8px;
           }
         
         
        .slider_container {  
          width: 15%;       /* width of volume seeker */
          display: flex;
          justify-content: center;
          align-items: center;
        }    





/* basics */
/* ------------------------- */

	:root {
		--text: #f8eef6;
		--border: lightgrey;
		--accent: teal;
		--bg: #dce3e1;
		--gradient-top: white;
		--gradient-bottom: rgb(240, 248, 255, .8);
	}

	}



* { 
	box-sizing: border-box;
}
html {
	overscroll-behavior: none;
}
body {
  width: 100px
	padding: 10px;
	font-family: 'MS PGothic', sans-serif;
	color: var(--text);

/* background */
/* ------------------------- */
	background-image: url("https://i.pinimg.com/736x/8c/14/d3/8c14d383c4c6be38b1d6126c374442d9.jpg");
	background-repeat: repeat;

}


.container {
	max-width: 800px;
	margin: 5vw auto 12px auto;
	 border: 20px solid transparent;
border-image: url('https://64.media.tumblr.com/900e56b32f3763868d8e5fa4f82ec6f1/23a43dcdd0fb50e4-31/s400x600/e0c208a5222d732a76f1043fac9541e024c4be3d.pnj') 45 round;
  background-clip:
    padding-box;

	border-radius: 10px;
	display: flex;
	flex-wrap: wrap;
	padding: 5px;
	gap: 5px;

	/* container background */
/* ------------------------- */
	background-color: var(--gradient-bottom);
  background-image: url(https://i.pinimg.com/originals/04/08/a0/0408a0f9495e3051d7503b5afc9dd10b.gif);
}

.small { flex: 1 1 9%; }
.large { flex: 1 1 82%; }
.full { flex: 1 1 100%; }
.half { flex: 1 1 37%; }




{

}





/* navigation bar */
/* ------------------------- */


	:root {
		--bg: #ff6ea3;
		--gradient-top: white;
		--gradient-bottom: rgb(245, 248, 255, 8);
	}


nav {
  height: 26px;
  font-size: 1.25rem;
	border: 2px ridge var(--border);
	border-radius: 5px;
	padding: 5px;
	background-color: #21191e;
  width:130%;
  top:-3;
  margin-left: -20px;
  overflow: hidden;
  position: fixed;
   display:flex;
  z-index: 100;
  
}
nav div {
  
  
	text-align: center;
	font-size: 1.25rem;
	margin: 10px 5px 10px 5px;
  
}
nav a {

  height: 26px;
	display: block;
	margin: 5px;
  padding: 0;
	background: linear-gradient(to top,var(--bg),var(--gradient-bottom));
	border-radius: 5px;
	padding: 2px 7px;
	text-decoration: none;
  float: left;
}
nav a:link, nav a:visited { 
	color: var(--text);
}
nav a:hover, nav a:focus {
	background: linear-gradient(to right,var(--bg), var(--gradient-bottom), var(--gradient-top));
}




section {
	border: 2px ridge var(--border);
	border-radius: 5px;
	background-color: #21191e;
	padding: 5px;
}




h1, h2, h3, h4, h5, h6, p  { 
	margin: 5px;
	line-height: 1.2;
  background-color: #2e2226;
}
h1 { 
	font-size: 1.4rem;
	letter-spacing: 2px;
	font-weight: normal;
	text-align: center;
	border-bottom: 2px ridge var(--border);
	padding-bottom: 5px;
  
}
h2 { 
	font-size: 1.25rem;
	font-weight: normal;
	text-align: center;
}
h3 { 
	font-size: 1.1rem;
}
h4 { 
	font-size: 1rem;
	color: var(--accent);
	padding-left: 12px;
}


img { max-width: 100%; }
pre { overflow-x: auto; }


a:hover, a:focus {
	font-style: italic;
}
a:visited {
	color: var(--accent);
}



/* scrollbox */
/* ------------------------- */
  
  
.whitecloudybox {
height: 95px;
width: 100%;
border: 10px solid transparent;
box-sizing: border-box;
border-image: url(https://i.postimg.cc/QM9dMFhq/cloud.png) 50 round;
}

.whitecloudyfull { 
width:100%;
height:100%;
overflow-y:auto;
background-image: url('https://i.pinimg.com/1200x/9d/f8/e1/9df8e15415904e1f932d4a5c6fb1452f.jpg');
color:black;
}

/* scrollbox quizzes */
/* ------------------------- */
  
  

.quizzestext {
     margin-top: -45px;
    float: right;
    margin-right: -35px;
    margin-bottom: -29px;
    z-index: 2;
    position: relative;
    height: auto;
  transform: rotate(12deg)
}
  
  .QNAtext {
     margin-top: -45px;
    float: left;
    margin-left: -15px;
    margin-bottom: -39px;
    z-index: 2;
    position: relative;
    height: auto;
  transform: rotate(-12deg)
}
  
.whitecloudybox2 {
height: 160px;
width: 100%;
border: 10px solid transparent;
box-sizing: border-box;
border-image: url(https://i.postimg.cc/QM9dMFhq/cloud.png) 50 round;
}

.whitecloudyfull2 { 
width:100%;
height:100%;
overflow-y:auto;
background-image: url('https://i.pinimg.com/736x/66/61/29/6661296b70e4b574dce7079413ba3b56.jpg');
color:#21191e;
}



.favs {
     margin-top: 75px;
    float: right;
    margin-left: 325px;
    margin-bottom: -26px;
    position: fixed;
    z-index: 100;
   height: 30%;
width: 11%;
border: 10px solid transparent;
box-sizing: border-box;
border-image: url(https://64.media.tumblr.com/0c03a3021a4aa9af600cac7c8444013e/393584b2597684d6-ec/s100x200/53e600c36d0e510af2709bba6903d0a24a3f7471.gifv) 15 round;
  transform: rotate(9deg)
}

.favs2 {
   width:100%;
height:100%;
overflow-y:auto;
background-color:#dba2fe;
color:#21191e;

}

.favstext {
    margin-top: 41px;
    float: right;
    margin-left: 325px;
    z-index: 101;
    position: fixed;
    height: auto;
  transform: rotate(-12deg)
}

.starpin {
    margin-top: 298px;
    float: right;
    margin-left: 475px;
    z-index: 101;
    position: fixed;
    height: auto;
  transform: rotate(27deg)
}

.imgtxt {
  width: fit-content;
  height: fit-content;
  display: inline-block;
  position: relative;
}
.imgtxt span {
  opacity: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 2;
  font-size: 1.9rem;
  color: #FFF;
  filter: drop-shadow(1px 1px 0 black) 
    drop-shadow(-1px 1px 0 black)
    drop-shadow(1px -1px 0 black)
    drop-shadow(-1px -1px 0 black);
}
.imgtxt:hover span, .imgtxt:focus span {
  opacity: 1;
}
.imgtxt:hover img, .imgtxt:focus img {
  transform: rotate(5deg); transition: .5s ease-in-out; opacity: 0.6
}




.inttext {
    margin-top: 255px;
    float: left;
    margin-left: 1438px;
    z-index: 101;
    position: fixed;
    height: auto;
  transform: rotate(12deg)
}



.interests {
margin-top: 295px;
    float: left;
    margin-left: 1378px;
    margin-bottom: -26px;
    position: fixed;
    z-index: 100;
   height: 30%;
width: 11%;
border: 10px solid transparent;
box-sizing: border-box;
border-image: url(https://64.media.tumblr.com/0c03a3021a4aa9af600cac7c8444013e/393584b2597684d6-ec/s100x200/53e600c36d0e510af2709bba6903d0a24a3f7471.gifv) 15 round;
  transform: rotate(-9deg)
}

.interests2 { 
width:100%;
height:100%;
overflow-y:auto;
background-color:#dba2fe;
color:#21191e;
}

.heartpin {
    margin-top: 505px;
    float: right;
    margin-left: 1365px;
    z-index: 101;
    position: fixed;
    height: auto;
  transform: rotate(-27deg)
}


/* cursor */
/* ------------------------- */


html {
  cursor: url(https://64.media.tumblr.com/179de0f393cc90fb96e05f29236fcc82/e9cbf4a284353a66-08/s75x75_c1/5eb494cfb5302f651796e85f47f3841674a50474.gifv), auto;
}    

a, button {
  cursor: url('https://64.media.tumblr.com/5d19db8c00d20d2baea1a986ec91490f/e9cbf4a284353a66-62/s75x75_c1/20fcc1c5140ac0b2ba36f1779cdb4f549dbca142.gifv'), pointer;
}

   
 
/* width */
::-webkit-scrollbar {
  width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
    background: #21191e; 
  box-shadow: inset 0 0 5px black; 
  border-radius: 0px;
}
 
/* Handle */
::-webkit-scrollbar-thumb {
  background: #FCACD7; 
  border-radius: 10px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #FCACD7; 